using Framework.ItemSystem;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework.ItemSystem
{
    public class ConsumableItem : Item
    {
        private int count;

        public override void EnterInventory()
        {
            throw new NotImplementedException();
        }

        public override void LeaveInventory()
        {
            throw new NotImplementedException();
        }

        public int GetCount()
        {
            return this.count;
        }

        public void SetCount(int count)
        {
            this.count = count;
        }
    }
}
